# Qt initialization script (sh)

# In multilib environments there is a preferred architecture, 64 bit over 32 bit in x86_64,
# When a conflict is found between two packages corresponding with different arches,
# the installed file is the one from the preferred arch. This is very common for executables
# in /usr/bin, for example. If the file /usr/bin/foo is found in an x86_64 package and in an
# i386 package, the executable from x86_64 will be installe


qt_prefix="/usr/local/Qt-5.11.1/"
export CYFLEX_QT5_VERSION="5.11.1"

if ! echo ${PATH} | /bin/grep -q $qt_prefix/bin ; then
   PATH=$qt_prefix/bin:${PATH}
fi

if [ -z "$QT5DIR" ]; then
QT5DIR="$qt_prefix"
QT5INC="$QT5DIR/include"
QT5LIB="$QT5DIR/lib"
fi

#local_plugin_dirs="$QT5DIR/plugins"
#if ! echo ${QT_PLUGIN_PATH} | /bin/grep -q $local_plugin_dirs ; then
# export QT_PLUGIN_PATH=$local_plugin_dirs:${QT_PLUGIN_PATH}
#fi
export QT5DIR QT5INC QT5LIB PATH

